package com.qmth.teachcloud.common.domain;

import java.io.Serializable;

/**
 * @Description: 分布式印刷开放接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
public class ReportOpenDomain implements Serializable {

    String hostUrl;

    String semesterApi;

    String examApi;

    String courseEditApi;

    String courseDelApi;

    String calculateApi;

    String publishApi;

    String ssoLoginApi;

    public String getSsoLoginApi() {
        return ssoLoginApi;
    }

    public void setSsoLoginApi(String ssoLoginApi) {
        this.ssoLoginApi = ssoLoginApi;
    }

    public String getHostUrl() {
        return hostUrl;
    }

    public void setHostUrl(String hostUrl) {
        this.hostUrl = hostUrl;
    }

    public String getExamApi() {
        return examApi;
    }

    public void setExamApi(String examApi) {
        this.examApi = examApi;
    }

    public String getCourseEditApi() {
        return courseEditApi;
    }

    public void setCourseEditApi(String courseEditApi) {
        this.courseEditApi = courseEditApi;
    }

    public String getCourseDelApi() {
        return courseDelApi;
    }

    public void setCourseDelApi(String courseDelApi) {
        this.courseDelApi = courseDelApi;
    }

    public String getCalculateApi() {
        return calculateApi;
    }

    public void setCalculateApi(String calculateApi) {
        this.calculateApi = calculateApi;
    }

    public String getPublishApi() {
        return publishApi;
    }

    public void setPublishApi(String publishApi) {
        this.publishApi = publishApi;
    }

    public String getSemesterApi() {
        return semesterApi;
    }

    public void setSemesterApi(String semesterApi) {
        this.semesterApi = semesterApi;
    }
}
